wmpager(1x)

NAME
wmpager - Window Maker workspace pager docklet

SYNOPSIS
wmpager [options]

DESCRIPTION
wmpager is a Window Maker pager docklet that offers:
•   workspace switching for up to nine workspaces
•   automatic configuration according to the number of available workspaces
•   automagic adjustment to the currently active workspace
•   configurable look and feel
•   workspace tooltips

OPTIONS
-h --help
    Display usage and version information.
-v --verbose
    Enable verbose message output.
-d --display <name>
    The display to use (defaults to the 'DISPLAY' environment variable).
-s --size <w>x<h>
    The number of buttons to display. The default depends on the number of workspaces you have, i.e. 2x2 for 4 workspaces, 2x3 for 6, maximum is 3x3.
-w --workspaces <count>
    The number of workspace buttons to display. The default is the number of workspaces you have up to a maximum is 9.
-t --theme <theme.xpm>
    The button theme to use. <theme.xpm> is either an absolute pathname pointing to an 'xpm' theme file or a filename relative to the installation directory (see option --installdir). The extension '.xpm' in the file or pathname is optional.
    For more information on theme files see the entry BUTTON THEMES below.
-i --installdir <dir>
    Specifies the location of the installation directory. wmpager looks for 'xpm' theme files at this location. The default are '/usr/local/share/wmpager/' and the user specific '~/.wmpager' directory.
--disable-tooltips
    Disables display of any tooltip windows. By default tooltips are enabled.
--tooltip-font <font>
    Specifies the font to as tooltip font. The default is helvetica, bold, roman, 12 point:
    -*-helvetica-bold-r-normal-*-12-*-*-*-*-*-*-*
--tooltip-delay <millis>
    Sets the delay before the tooltip window is popped up (default is 750 milliseconds).
--tooltip-reshow <millis>
    Set the tooltip reshow delay (triggered when moving from button to button). The default is 1500 milliseconds.
--tooltip-outside
    Specifies that tooltips should be displayed outside of the docklet window. By default they are displayed next to the workspace button.

BUTTON THEMES
Depending on your WindowMaker theme you might want to use another theme for wmpager as well. Use option '-t' or '--theme' to specify the location of an XPM file (the extension '.xpm' is optional, it has to be an XPM file though). If you use option '-i', '--installdir' or have set the environment variable WMPAGER to the installation location of the wmpager themes, then you may also skip the path to the theme. Predefined themes: Well, I'm not much of an artist therefore I've only included some themes to give you an idea of how a real nice theme might be done. Naturally, I use the built-in theme and theme support is only there because I have been asked to include it... If you create a theme yourself please send it to me and I'll include it in the next build. The list of predefined themes in this release includes:
•   blue (the built-in theme)
•   fire
•   gray
•   steel
Creating your own themes: If you want to create your own theme simply take one of the included XPM theme files and modify it to your needs. If you really want to know, the format of the file is described below. XPM file format: The XPM file has to be at least 102 by 71 pixels in size. The area 0,0 to 50,50 describes the background for the selected workspace, the area 51,0 to 101,50 for unselected work spaces. The area has to include a one-pixel border that is used for all workspace buttons. From 0,51 to 89,60 are the digits used for the selected workspace (each 10x10 pixels, 1-9 from left to right) and from 0,61 to 89,70 are the digits for unselected workspaces. The digits may have a transparent background.

REQUIREMENTS
In order for wmpager to work properly you need to have your Window Maker compiled with Gnome support. (I don't know if this is the case for the precompiled Window Makers usually found in Linux distributions since I usually build my Window Maker myself.) wmpager uses the Gnome support messages sent out by Window Maker to display the currently active workspace. Without Gnome support the pager will not automatically adjust the currently active desktop.

BUGS
To file a bugreport please use the bug tracking system at:
http://sourceforge.net/projects/wmpager/

AUTHOR
Bruno Essmann <essmann@users.sourceforge.net>
http://wmpager.sourceforge.net/

ACKNOWLEDGEMENTS
Thanks to all at Ergon Informatik AG who are using wmpager and helped improve it!
http://www.ergon.ch/

SEE ALSO
wmaker(1x)